| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >:
[legend]

## Public Types
typedef VectorT | ResultT

## Public Member Functions
| VectorGrammar ()

## Public Attributes
Grammar_< Iterator, typename VectorT::value_type, Skipper >::Grammar | elementGrammar
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > | vec
qi::rule< Iterator, ResultT(), Skipper > | list

## Detailed Description

### template<typename Iterator, typename VectorT, typename Skipper>
struct Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >

Definition at line 267 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator, typename VectorT, typename Skipper>

typedef VectorT Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::ResultT

Definition at line 269 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename VectorT, typename Skipper>

Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::VectorGrammar | ( |  | ) |
| inline

Definition at line 271 of file GrammarsV2.h.

271 : VectorGrammar::base_type( vec )
272 {
273 begin =
274 enc::char_( '[' )[qi::_val = ']'] | enc::char_( '{' )[qi::_val = '}'] | enc::char_( '(' )[qi::_val = ')'];
275 end = enc::char_( qi::_r1 );
276 list = elementGrammar % ',';
277 vec = begin[qi::_a = qi::_1] >> -list[qi::_val = qi::_1] >> end( qi::_a );
278 }
Gaudi::Parsers::VectorGrammar::vec
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > vec
Definition: GrammarsV2.h:284
Gaudi::Parsers::VectorGrammar::elementGrammar
Grammar_< Iterator, typename VectorT::value_type, Skipper >::Grammar elementGrammar
Definition: GrammarsV2.h:280
Gaudi::Parsers::VectorGrammar::list
qi::rule< Iterator, ResultT(), Skipper > list
Definition: GrammarsV2.h:285
Gaudi::Parsers::VectorGrammar::end
qi::rule< Iterator, void(char)> end
Definition: GrammarsV2.h:282
Gaudi::Parsers::VectorGrammar::begin
qi::rule< Iterator, char()> begin
Definition: GrammarsV2.h:281

## Member Data Documentation

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, char()> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::begin

Definition at line 281 of file GrammarsV2.h.

template<typename Iterator, typename VectorT, typename Skipper>

Grammar_<Iterator, typename VectorT::value_type, Skipper>::Grammar Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::elementGrammar

Definition at line 280 of file GrammarsV2.h.

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, void( char )> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::end

Definition at line 282 of file GrammarsV2.h.

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::list

Definition at line 285 of file GrammarsV2.h.

template<typename Iterator, typename VectorT, typename Skipper>

qi::rule<Iterator, ResultT(), qi::locals<char>, Skipper> Gaudi::Parsers::VectorGrammar< Iterator, VectorT, Skipper >::vec

Definition at line 284 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h